/******************************************************************************
* choria
* Copyright (c) 2023 Alan Witkowski
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/
#pragma once

// Libraries
#include <hud/screen.h>
#include <string>

// Forward Declarations
class _Object;

// Classes
class _TradeScreen : public _Screen {

	public:

		_TradeScreen(_HUD *CurrentHUD, ae::_Element *CurrentElement) : _Screen(CurrentHUD, CurrentElement) { }

		void Init() override;
		bool Close(bool SendNotify=true) override;

		void Toggle() override;
		void Render(double BlendFactor) override;

		void DrawTradeItems(_Object *Player, const std::string &ElementPrefix, int Window);

		void EnableAcceptButton(bool Value);
		void UpdateAcceptButton();
		void ResetAcceptButton();

		void ResetTradeTheirsWindow();
		void SendTradeRequest();
		void SendTradeCancel();
		void UpdateTradeStatus(bool Accepted);
		void ValidateTradeGold();

	private:

};
