/******************************************************************************
* choria
* Copyright (c) 2023 Alan Witkowski
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*******************************************************************************/
#pragma once

// Libraries
#include <glm/vec2.hpp>
#include <glm/vec4.hpp>

// Forward Declarations
class _Buff;
class _Stats;
class _Object;

namespace ae {
	class _Element;
	class _Buffer;
}

// Classes
class _StatusEffect {

	public:

		~_StatusEffect();

		void Serialize(ae::_Buffer &Data);
		void Unserialize(ae::_Buffer &Data, const _Stats *Stats);

		ae::_Element *CreateUIElement(ae::_Element *Parent);

		void Render(ae::_Element *Element, double Timer);

		const _Buff *Buff{nullptr};
		ae::_Element *BattleElement{nullptr};
		ae::_Element *HUDElement{nullptr};
		_Object *Source{nullptr};
		double Time{0.0};
		double Duration{0.0};
		double MaxDuration{0.0};
		int Level{0};
		int Priority{0};
		bool Infinite{false};
		bool Deleted{false};

};
